package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/26 星期三 14:55
 * @Description: com.repair.model.enumModel
 * @Version: 1.0
 */
public enum eSexStatu {
    Woman(0),//女
    Man(1);//男

    private int value;

    eSexStatu(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eSexStatu valueOf(int value) {
        switch (value) {
            case 0:
                return eSexStatu.Woman;
            case 1:
                return eSexStatu.Man;
            default:
                return null;
        }
    }
    public static String stringOf(Integer value) {
        switch (value) {
            case 0:
                return "女";
            case 1:
                return "男";
            default:
                return null;
        }
    }
    public static Integer integerOf(String value) {
        switch (value) {
            case "女":
                return 0;
            case "男":
                return 1;
            default:
                return null;
        }
    }
}
